using System; 
using Server; 

namespace Server.Items 
{ 
public class BladeOfBlood : Katana 
{ 
public override int LabelNumber{ get{ return 1061107; } } // Blade of the Righteous 
public override int ArtifactRarity{ get{ return 10; } } 

[Constructable] 
public BladeOfBlood() 
{ 
Weight = 6.0; 
Name = "Blade of Blood"; 
Hue = 2118; 
WeaponAttributes.HitLeechHits = 50; 
WeaponAttributes.UseBestSkill = 1; 
Attributes.BonusHits = 10; 
Attributes.WeaponDamage = 50; 
Slayer = SlayerName.DaemonDismissal; 
} 


public BladeOfBlood( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
