using System;
using Server;

namespace Server.Items
{
	public class DoomKiss : BladedStaff
	{
		public override int ArtifactRarity{ get{ return 11; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public DoomKiss()
		{
			Name = "Doom Kiss"; 
			Hue = 0x494;
			Attributes.SpellChanneling = 1;
			Attributes.CastSpeed = 2;
			Attributes.CastRecovery = 2;
			Attributes.WeaponDamage = 100;
			Attributes.WeaponSpeed = 30;
			Attributes.AttackChance = 30;
			Attributes.SpellChanneling = 1;

		}

		public DoomKiss( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}