using System; 
using Server; 

namespace Server.Items 
{ 
public class GauntletsOfBeserker : BaseArmor
{ 
public override int LabelNumber{ get{ return 1061097; } } 
public override int ArtifactRarity{ get{ return 11; } } 

public override int InitMinHits{ get{ return 255; } } 
public override int InitMaxHits{ get{ return 255; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

[Constructable] 
public GauntletsOfBeserker() : base( 0x1414 ) 
{ Weight = 6.0; 
                        Name = "Gauntlets Of Beserker"; 
                        Hue = 38; 
                        StrRequirement = 10; 
                        Attributes.WeaponDamage = 25; 
                        Attributes.AttackChance = 10;
                        Attributes.WeaponSpeed = 20;



} 

public GauntletsOfBeserker( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
