using System; 
using Server; 

namespace Server.Items 
{ 
public class HelmetofBlood : PlateHelm 
{ 
public override int LabelNumber{ get{ return 1061096; } } 
public override int ArtifactRarity{ get{ return 10; } } 

public override int InitMinHits{ get{ return 255; } } 
public override int InitMaxHits{ get{ return 255; } } 

[Constructable] 
public HelmetofBlood() 
{ Weight = 6.0; 
Name = "Helmet of Blood"; 
Hue = 2118; 
ArmorAttributes.SelfRepair = 50; 

Attributes.Luck = 20; 


Attributes.BonusHits = 40; 
Attributes.ReflectPhysical = 45; 
PhysicalBonus = 30; 
PoisonBonus = 50; 
EnergyBonus = 50; 
} 

public HelmetofBlood( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
