using System; 
using Server; 

namespace Server.Items 
{ 
public class MageBracers : BaseArmor
{ 
public override int LabelNumber{ get{ return 1061097; } } 
public override int ArtifactRarity{ get{ return 11; } } 

public override int InitMinHits{ get{ return 255; } } 
public override int InitMaxHits{ get{ return 255; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

[Constructable] 
public MageBracers() : base( 0x144E ) 
{ Weight = 6.0; 
                        Name = "Holy Mages Bracers"; 
                        Hue = 1153; 
                        StrRequirement = 10; 
                        Attributes.BonusInt = 10; 
				Attributes.LowerManaCost = 10;
				ArmorAttributes.MageArmor = 1;
				Attributes.RegenMana = 5;


} 

public MageBracers( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
