using System;
using Server;

namespace Server.Items
{
	public class LeggingsOfTheMagi : LeatherLegs
	{
		public override int ArtifactRarity{ get{ return 11; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public LeggingsOfTheMagi()
		{
			Name = "Leggings of the Magi";
			Hue = 0x481;
			PhysicalBonus = 3;
			PoisonBonus = 2;
			EnergyBonus = 15;
			FireBonus = 2;
			ColdBonus = 5;
			EnergyBonus = 2;
                        Attributes.BonusInt = 8;
			Attributes.LowerManaCost = 10;
			Attributes.RegenMana = 4;
			Attributes.LowerManaCost = 10;
			Attributes.LowerRegCost = 20;
			Attributes.SpellDamage = 5;
		}

		public LeggingsOfTheMagi( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}