using System; 
using Server; 

namespace Server.Items 
{ 
public class Mondainshat : BaseArmor
{ 
public override int LabelNumber{ get{ return 1061097; } } 

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

[Constructable] 
public Mondainshat() : base( 0x1718 ) 
{ Weight = 6.0; 
                        Name = "Mondain's Wizard Hat"; 
                        Hue = 1175; 
                        Attributes.BonusInt = 8; 
                        Attributes.RegenMana = 4; 
                        Attributes.SpellDamage = 10; 
				Attributes.LowerManaCost = 10;
} 

public Mondainshat( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
