using System; 
using Server; 

namespace Server.Items 
{ 
public class SandalsOfNobility : BaseArmor
{ 
public override int LabelNumber{ get{ return 1061097; } } 
		
public override int InitMinHits{ get{ return 255; } }
public override int InitMaxHits{ get{ return 255; } }

public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

[Constructable] 
public SandalsOfNobility() : base( 0x170D ) 
{ Weight = 6.0; 
                  Name = "Sandals of Nobility"; 
			Hue = 0x562;
			Attributes.CastSpeed = 1;
			Attributes.BonusStr = 8;
			Attributes.Luck = 100;
			Attributes.WeaponDamage = 20;

} 

public SandalsOfNobility( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
