using System; 
using Server; 

namespace Server.Items 
{ 
   public class ShieldofBlood : HeaterShield 
   { 
      public override int LabelNumber{ get{ return 1061602; } } 
      public override int ArtifactRarity{ get{ return 11; } } 

      public override int InitMinHits{ get{ return 255; } } 
      public override int InitMaxHits{ get{ return 255; } } 

      [Constructable] 
      public ShieldofBlood()  
      {      Weight = 6.0; 
            Name = "Shield of Blood"; 
            Hue = 2118; 
                  ArmorAttributes.SelfRepair = 5; 
   Attributes.ReflectPhysical = 15; 
   Attributes.DefendChance = 25; 
   Attributes.LowerManaCost = 8; 
   PhysicalBonus = 15; 
       } 

      public ShieldofBlood( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); 
      } 
       
      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
}