using System; 
using Server; 
using Server.Gumps; 
using Server.Network; 
using Server.Menus; 
using Server.Menus.Questions; 

namespace Server.Items 
{ 

   public class TournyStone : Item 
   {
	[Constructable] 
	public TournyStone() : base( 0xEDE ) 
	{
		Hue = 1266; 
		Movable = false; 
		Name = "A Tourny Stone"; 
	}
	public TournyStone( Serial serial ) : base( serial ) 
	{ 
	}
	public override void OnDoubleClick( Mobile from )

	{  
	if ( from.InRange( this.GetWorldLocation(), 2 ) ) 
	{ 
		from.SendGump( new TournyStoneGump() ); 
	}
	}
	public override void Serialize( GenericWriter writer ) 
	{ 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
	} 

	public override void Deserialize( GenericReader reader ) 
	{
	base.Deserialize( reader ); 

	int version = reader.ReadInt(); 
	}
    }
} 
