using System; 
using Server; 

namespace Server.Items 
{ 
public class TunicOfChance : BaseArmor
{ 
public override int LabelNumber{ get{ return 1061097; } } 
public override int ArtifactRarity{ get{ return 11; } } 

public override int InitMinHits{ get{ return 255; } } 
public override int InitMaxHits{ get{ return 255; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

[Constructable] 
public TunicOfChance() : base( 0x13DB ) 
{ Weight = 6.0; 
                        Name = "Tunic of Chance"; 
                        Hue = 2213; 
                        StrRequirement = 10; 
                        Attributes.DefendChance = 25; 
                        Attributes.AttackChance = 20; 
                        ArmorAttributes.MageArmor = 1; 

} 

public TunicOfChance( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
