using System;
using Server;

namespace Server.Items
{
	public class BladeofDeath : Scimitar
	{
		public override int ArtifactRarity{ get{ return 11; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public BladeofDeath()
		{
			Name = "Neira's Blade of Death"; 
			Hue = 0x26;
			Attributes.SpellChanneling = 1;
			Attributes.CastSpeed = 3;
			Attributes.CastRecovery = 3;
			Attributes.WeaponDamage = 50;
			Attributes.WeaponSpeed = 30;
			Attributes.AttackChance = 15;
			Attributes.DefendChance = -10;
			Attributes.SpellChanneling = 1;
			Attributes.SpellDamage = 5;
			Attributes.LowerManaCost = 5;
		}

		public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{
			phys = 100;

				nrgy =  fire = cold = pois = 0;
		}

		public BladeofDeath( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}