using System; 
using Server; 

namespace Server.Items 
{
public class BraceOfChance : BaseJewel
{ 
public override int LabelNumber{ get{ return 1061097; } } 
public override int ArtifactRarity{ get{ return 11; } } 

[Constructable] 
public BraceOfChance() : base( 0x1086 ) 
{ Weight = 6.0; 
                        Name = "Bracelet of Chance"; 
                        Hue = 2213; 
                        Attributes.DefendChance = 15; 
                        Attributes.AttackChance = 15; 
                        Attributes.WeaponDamage = 15;

} 

public BraceOfChance( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
