using System;
using Server.Items;

namespace Server.Items
{
	public class DragonskinDuelingRobe : BaseArmor
	{
		public override int BasePhysicalResistance{ get{ return 25; } }
		public override int BaseFireResistance{ get{ return 25; } }
		public override int BaseColdResistance{ get{ return 25; } }
		public override int BasePoisonResistance{ get{ return 25; } }
		public override int BaseEnergyResistance{ get{ return 25; } }

		public override int ArmorBase{ get{ return 22; } }

		public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } }

		[Constructable]
		public DragonskinDuelingRobe() : base( 0x1F03 )
		{
			Name = "Dragonskin Dueling Robe";
			Hue = 2129;
			Movable = true;
			Visible = true;
			Weight = 2.0;
			Attributes.RegenMana = 5;
			LootType = LootType.Blessed;

			MeditationAllowance = ArmorMeditationAllowance.All;
		}


		public DragonskinDuelingRobe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); 
		}

		public override void Deserialize(GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

		}
	}
}