using System;
using Server;

namespace Server.Items
{
	public class RingOfTheMagi : GoldRing
	{
		public override int ArtifactRarity{ get{ return 11; } }

		[Constructable]
		public RingOfTheMagi()
		{
			Name = "Ring of the Magi";
			Hue = 0x481;
			Attributes.CastRecovery = 3;
			Attributes.CastSpeed = 1;
			Attributes.LowerManaCost = 10;
			Attributes.LowerRegCost = 20;
			Attributes.SpellDamage = 5;
		}

		public RingOfTheMagi( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}