using System;
using Server;

namespace Server.Items
{
	public class SlayoroftheAbyss : Bardiche
	{
		public override int ArtifactRarity{ get{ return 11; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public SlayoroftheAbyss()
		{
			Name = "Slayor of the Abyss"; 
			Hue = 0x497;
			Attributes.WeaponDamage = 50;
			Attributes.WeaponSpeed = 50;
			Attributes.AttackChance = 10;
			Attributes.SpellChanneling = 1;
			MaxRange = 3;
			Slayer = SlayerName.DaemonDismissal; 

		}

		public override void GetDamageTypes( out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{
			phys = 100;

				nrgy =  fire = cold = pois = 0;
		}

		public SlayoroftheAbyss( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}