using System; 
using System.Net; 
using Server; 
using Server.Accounting; 
using Server.Gumps; 
using Server.Items; 
using Server.Mobiles; 
using Server.Network; 

namespace Server.Gumps 
{ 
   public class TournyStoneGump : Gump 
   { 

      public TournyStoneGump() : base( 30, 20 ) 
      { 
	
	 AddPage( 1 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 ); 

         AddLabel( 40, 12, 0, "Prize List" ); 
 


         AddLabel( 52, 40, 0, "2 Tokens" ); 
         AddButton( 12, 40, 4005, 4007, 0, GumpButtonType.Page, 2 ); 
         AddLabel( 52, 60, 0, "3 Tokens" ); 
         AddButton( 12, 60, 4005, 4007, 0, GumpButtonType.Page, 3 ); 
         AddLabel( 52, 80, 0, "4 Tokens" ); 
         AddButton( 12, 80, 4005, 4007, 0, GumpButtonType.Page, 4 ); 
         AddLabel( 52, 100, 0, "5 Tokens" ); 
         AddButton( 12, 100, 4005, 4007, 0, GumpButtonType.Page, 5 ); 
         AddLabel( 52, 120, 0, "6 Tokens" );
         AddButton( 12, 120, 4005, 4007, 0, GumpButtonType.Page, 6 ); 
         AddLabel( 52, 140, 0, "10 Tokens" );
         AddButton( 12, 140, 4005, 4007, 0, GumpButtonType.Page, 7 ); 
         AddLabel( 52, 160, 0, "15 Tokens" );
         AddButton( 12, 160, 4005, 4007, 0, GumpButtonType.Page, 8 ); 

	 AddPage( 2 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 );

	 AddLabel( 40, 12, 0, "2 Tokens" );
        	
         AddLabel( 52, 40, 0, "DragonSkin Dueling Robe" ); 
         AddButton( 12, 40, 4005, 4007, 8, GumpButtonType.Reply, 1 ); 
         AddLabel( 52, 60, 0, "Tunic of Chance" ); 
         AddButton( 12, 60, 4005, 4007, 12, GumpButtonType.Reply, 2 ); 


         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 ); 

	 AddPage( 3 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 );

	 AddLabel( 40, 12, 0, "3 Tokens" );
        	
         AddLabel( 52, 40, 0, "Ornate Encrusted Arm Guards" ); 
         AddButton( 12, 40, 4005, 4007, 9, GumpButtonType.Reply, 1 ); 
         AddLabel( 52, 60, 0, "Mondain's Wizard Hat" ); 
         AddButton( 12, 60, 4005, 4007, 15, GumpButtonType.Reply, 2 );

         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 ); 

	 AddPage( 4 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 );

	 AddLabel( 40, 12, 0, "4 Tokens" );
        	
         AddLabel( 52, 40, 0, "Gauntlets of Beserker" ); 
         AddButton( 12, 40, 4005, 4007, 7, GumpButtonType.Reply, 1 ); 
         AddLabel( 52, 60, 0, "Holy Mage's Bracers" ); 
         AddButton( 12, 60, 4005, 4007, 13, GumpButtonType.Reply, 2 );
         AddLabel( 52, 80, 0, "Voice of the Dead" ); 
         AddButton( 12, 80, 4005, 4007, 14, GumpButtonType.Reply, 3 );
         AddLabel( 52, 100, 0, "Neira's Blade of Death" ); 
         AddButton( 12, 100, 4005, 4007, 17, GumpButtonType.Reply, 4 );

         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 );

	 AddPage( 5 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 ); 

	 AddLabel( 40, 12, 0, "5 Tokens" );
        	
         AddLabel( 52, 40, 0, "Ring of the Magi" ); 
         AddButton( 12, 40, 4005, 4007, 6, GumpButtonType.Reply, 1 ); 
         AddLabel( 52, 60, 0, "Legs of the Magi" ); 
         AddButton( 12, 60, 4005, 4007, 5, GumpButtonType.Reply, 2 );
         AddLabel( 52, 80, 0, "Tunic of Blood" ); 
         AddButton( 12, 80, 4005, 4007, 1, GumpButtonType.Reply, 3 );
         AddLabel( 52, 100, 0, "Helm of Blood" ); 
         AddButton( 12, 100, 4005, 4007, 2, GumpButtonType.Reply, 4 );
         AddLabel( 52, 120, 0, "Blade of Blood" ); 
         AddButton( 12, 120, 4005, 4007, 4, GumpButtonType.Reply, 5 );
         AddLabel( 52, 140, 0, "Shield of Blood" ); 
         AddButton( 12, 140, 4005, 4007, 3, GumpButtonType.Reply, 6 );

         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 ); 

	 AddPage( 6 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 ); 

	 AddLabel( 40, 12, 0, "6 Tokens" );
        	
         AddLabel( 52, 40, 0, "Slayor of the Abyss" ); 
         AddButton( 12, 40, 4005, 4007, 18, GumpButtonType.Reply, 1 ); 
         AddLabel( 52, 60, 0, "Doom Kiss" ); 
         AddButton( 12, 60, 4005, 4007, 16, GumpButtonType.Reply, 2 ); 


         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 ); 

	 AddPage( 7 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 ); 

	 AddLabel( 40, 12, 0, "10 Tokens" );
        	
         AddLabel( 52, 40, 0, "Bow of the Dark Elf" ); 
         AddButton( 12, 40, 4005, 4007, 19, GumpButtonType.Reply, 1 ); 


         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 ); 


	 AddPage( 8 ); 

         AddBackground( 0, 0, 350, 375, 5054 ); 
         AddBackground( 8, 8, 334, 359, 3000 ); 

	 AddLabel( 40, 12, 0, "15 Tokens" );
        	
         AddLabel( 52, 40, 0, "Ranger Armor" ); 
         AddButton( 12, 40, 4005, 4007, 20, GumpButtonType.Reply, 1 ); 
         AddLabel( 52, 60, 0, "Phoenix Armor" ); 
         AddButton( 12, 60, 4005, 4007, 21, GumpButtonType.Reply, 1 ); 


         AddLabel( 52, 320, 0, "Main Menu" ); 
         AddButton( 12, 320, 4005, 4007, 0, GumpButtonType.Page, 1 ); 



} 


      public override void OnResponse( NetState state, RelayInfo info ) 
      { 
         Mobile from = state.Mobile; 

         switch ( info.ButtonID ) 
         { 
            case 0: //Close Gump 
            { 
               from.CloseGump( typeof( TournyStoneGump ) );
		from.SendMessage( "You decide not to use any Tokens." );	 
               break; 
            } 


            case 1:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 5 ) )
		{
			from.AddToBackpack( new TunicofBlood() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Tunic Of Blood has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }


            case 2:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 5 ) )
		{
			from.AddToBackpack( new HelmetofBlood() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Helm Of Blood has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }


            case 3:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 5 ) )
		{
			from.AddToBackpack( new ShieldofBlood() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Shield Of Blood has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            } 

            case 4:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 5 ) )
		{
			from.AddToBackpack( new BladeOfBlood() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Blade Of Blood has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

             case 5:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 5 ) )
		{
			from.AddToBackpack( new LeggingsOfTheMagi() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Legs of the Magi has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }
	         
            case 6:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 5 ) )
		{
			from.AddToBackpack( new RingOfTheMagi() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Ring of the Magi has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

            case 7:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 4 ) )
		{
			from.AddToBackpack( new GauntletsOfBeserker() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Gauntlets Of The Beserker has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }
            case 8:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 2 ) )
		{
			from.AddToBackpack( new DragonskinDuelingRobe() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Dragonskin Dueling Robe has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }
            
		case 9:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 3 ) )
		{
			from.AddToBackpack( new OrnateArmGuards() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Ornate Encrusted Arm Guards have been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 10:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 4 ) )
		{
			from.AddToBackpack( new SandalsOfNobility() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Sandals of Nobility has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 12:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 2 ) )
		{
			from.AddToBackpack( new TunicOfChance() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Tunic of Chance has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }
		
		case 13:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 4 ) )
		{
			from.AddToBackpack( new MageBracers() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Holy Mages Bracers have been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 14:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 4 ) )
		{
			from.AddToBackpack( new VoiceDead() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Voice of the Dead has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 15:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 3 ) )
		{
			from.AddToBackpack( new Mondainshat() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Mondain's Wizard Hat has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 16:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 6 ) )
		{
			from.AddToBackpack( new DoomKiss() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Doom Kiss has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 17:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 4 ) )
		{
			from.AddToBackpack( new BladeofDeath() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "The Neira's Blade of Death has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 18:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 6 ) )
		{
			from.AddToBackpack( new SlayoroftheAbyss() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Slayor of the Abyss has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 19:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 10 ) )
		{
			from.AddToBackpack( new BowOfTheDarkElf() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Bow of the Dark Elf has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 20:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 15 ) )
		{
			from.AddToBackpack( new RangerArmor() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Bag of Ranger Armor has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

		case 21:
            { 
		Item[] Tokens = from.Backpack.FindItemsByType( typeof( TournyToken) );
		if ( from.Backpack.ConsumeTotal( typeof( TournyToken), 15 ) )
		{
			from.AddToBackpack( new PhoenixArmor() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.AddToBackpack( new ItemBlessDeed() );
			from.SendMessage( "A Bag of Phoenix Armor has been placed in your backpack." );
		}
		else
		{
			from.SendMessage( "You do not have enough Tokens for that." );
			from.SendGump( new TokenStoneGump() );
		}
		break;
            }

         }    
      } 
   } 
} 
