using System; 
using Server; 

namespace Server.Items 
{ 
public class VoiceDead : BaseArmor
{ 
public override int LabelNumber{ get{ return 1061097; } } 
public override int ArtifactRarity{ get{ return 11; } } 

public override int InitMinHits{ get{ return 255; } } 
public override int InitMaxHits{ get{ return 255; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

[Constructable] 
public VoiceDead() : base( 0x13C7 ) 
{ Weight = 6.0; 
                        Name = "Voice of the Dead"; 
                        Hue = 1175; 
                        StrRequirement = 10; 
                        Attributes.BonusInt = 20; 
                        Attributes.BonusDex = 20; 
                        Attributes.BonusStr = 20; 
				FireBonus = 12;
				ColdBonus = 12;
				EnergyBonus = 6; 
} 

public VoiceDead( Serial serial ) : base( serial ) 
{ 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); 
} 

public override void Deserialize(GenericReader reader) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}
